import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.table.*;
import java.beans.*;
import java.util.*;
import com.javawisdom.util.print.*;

public class TextAreaTest  extends JFrame{
	
	JPanel mainPanel;
	JTabbedPane tabPane;
	JvPrinter jvprinter;
    TextAreaAppPanel textAreaAppPanel;
    ButtonsAppPanel buttonsAppPanel;
	
		public TextAreaTest()
	{
		super();
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		setTitle("JvPrinter TextArea Test");

    	mainPanel = new JPanel();
		mainPanel.setLayout(new BorderLayout(6, 6));

		tabPane = new JTabbedPane();
		jvprinter = new JvPrinter();
		
		textAreaAppPanel = new TextAreaAppPanel(this);
		tabPane.addTab("TextArea", textAreaAppPanel);
		buttonsAppPanel = new ButtonsAppPanel(this);

		mainPanel.add(tabPane, BorderLayout.CENTER);
		mainPanel.add(buttonsAppPanel, BorderLayout.SOUTH);
	
		getContentPane().add(mainPanel, BorderLayout.CENTER);
	}
	
		public static void main(String args[])
	{

		TextAreaTest textApp = new TextAreaTest();
		textApp.setBounds(6,6,600,500);
		textApp.show();
	}
	
	
	}
	
	class TextAreaAppPanel extends JPanel
{
	TextAreaTest textareaTest;

	TextArea textArea;
	JPanel leftPanel;


	public TextAreaAppPanel(TextAreaTest textareaTest)
	{
		this.textareaTest = textareaTest;
		setLayout(new BorderLayout(5, 5));

		textArea = new TextArea();
		textArea.setText("     This is a TextArea Demo\n Build scripts or files, created and developed\n during a software development project,\n are important artifacts for development teams; \ntheir quality and speed significantly \naffect a team's productivity.\n As a project's size grows, \nthe build process also grows and becomes more complex.\n Long builds waste a developer's time and amplify\n the time required to view the results of the changes made to the system.\n In addition, the XP (extreme programming) practice of continuous\n integration grows more difficult as developers'\n working sessions increase because of the long builds that do needless \nwork every time they execute. Ultimately,\n these negative consequences of \nlong builds impair the project's progress. In this article, Arin Ghazarian\n describes\n the concepts of incremental builds, dependency checking, \nand other related concepts in build processes,\n then proposes some techniques and guidelines to optimize and quicken \nbuilds written in Apache Ant. ");
		textArea.setFont(new Font("Dialog", Font.BOLD, 22));
		textArea.setForeground(Color.blue);

		

    	leftPanel = new JPanel();
		leftPanel.setLayout(new BorderLayout(5, 5));
		leftPanel.add(textArea, BorderLayout.CENTER);
		add(leftPanel, BorderLayout.CENTER);
			}

	public Component getComponent()
	{
		return textArea;
	}


}
  class ButtonsAppPanel extends JPanel implements ActionListener
   {
	TextAreaTest textApp;

	JButton pageSetupButton;
	JButton previewButton;
	JButton printButton;

	public ButtonsAppPanel(TextAreaTest textApp)
	{
		this.textApp = textApp;
		setLayout(new FlowLayout(FlowLayout.CENTER, 5, 5));

		pageSetupButton = new JButton("Page Setup");
		pageSetupButton.addActionListener(this);

		previewButton = new JButton("Preview");
		previewButton.addActionListener(this);

		printButton = new JButton("Print");
		printButton.addActionListener(this);

		add(pageSetupButton);
		add(previewButton);
		add(printButton);
	}

	public void actionPerformed(ActionEvent e)
	{
		if(e.getSource() == pageSetupButton)
		{
		    textApp.jvprinter.pageSetup(textApp);
		}
		else if(e.getSource() == previewButton)
		{
			textApp.jvprinter.setAWTTextArea((TextArea)textApp.textAreaAppPanel.getComponent());
			textApp.jvprinter.preview(textApp);
		}
		else if(e.getSource() == printButton)
		{
		textApp.jvprinter.setAWTTextArea((TextArea)textApp.textAreaAppPanel.getComponent());
		textApp.jvprinter.print();
		}
	}
}